<?php header('Content-Type: text/html; charset=UTF8');
	session_start();

	if($_POST) 
	{ 
		$keys_post = array_keys($_POST); 
		foreach ($keys_post as $key_post) 
		{ 
			$$key_post = $_POST[$key_post]; 
			//error_log("variable $key_post viene desde $ _POST"); 
		} 
	} 
		
	if($_GET) 
		{ 
		$keys_get = array_keys($_GET); 
		foreach ($keys_get as $key_get) 
		{ 
		$$key_get = $_GET[$key_get]; 
		//error_log("variable $key_get viene desde $ _GET"); 
		} 
	}	
	require_once("../../conexion/sb_conexion.php");


		function sucursales(){
		
			
			$bd=Db::getInstance();
		
			/*Creamos la consulta*/
				
			$sql="select Codigo_Sucursal, Nombre_Sucursal FROM sb_sucursal_lista where Activo_Sucursal='S' and Codigo_Empresa_Sucursal='".$_SESSION['ss_empresa']."' order  by Nombre_Sucursal asc";


			/*Ejecutamos la query*/
			$stmt=$bd->ejecutar($sql);
			
			/*Realizamos un bucle para ir obteniendo los resultados*/
	
			while ($fila = $bd->obtener_fila($stmt,0)){
				 ?>
				 <option value="<?=$fila['Codigo_Sucursal']?>"><?=$fila['Nombre_Sucursal']?></option>
				 <? 
			}	 
			
		}
	
	
	
	function funcionariosCM($Codigo_Sucursal){
		
		
		$bd=Db::getInstance();
	
	
		$bd->proceso($_SESSION['ss_empresa']);   
		$resultado = array(); 
		$codigo = "";
		$rut = "";
		$nombre = "";
		$apell_paterno = "";
		$apell_materno = "";
		
			
		
		/*Creamos la consulta*/
		$sql="
		select Codigo_Func, Rut_Func, Nombre_Func, Apellido_Paterno_Func, Apellido_Materno_Func 
		from sb_funcionarios_lista
		inner join sb_datos_liquidacion 
      		on sb_funcionarios_lista.Codigo_Func = sb_datos_liquidacion.Codigo_Func_Liq
		inner join sb_contratos_lista
		    on sb_datos_liquidacion.Codigo_Cont_Liq = sb_contratos_lista.Codigo_Cont	
		where Codigo_Empresa_Func='".$_SESSION['ss_empresa']."' and Activo='S' and 
			sb_datos_liquidacion.Codigo_Proceso='".$bd->id_proces()."' and
			sb_contratos_lista.Codigo_Sucu_Cont='".$Codigo_Sucursal."' order  by Apellido_Paterno_Func asc";
	
	//	echo $bd->id_proces() ."<br>";    	//DEBUG ID PROCESO
	//	echo $sql."<br>"; 					//DEBUG SQL
		
		/*Ejecutamos la query*/
		$stmt=$bd->ejecutar($sql);
		
		/*Realizamos un bucle para ir obteniendo los resultados*/
		while ($fila=$bd->obtener_fila($stmt,0)){
			$resultado[] = $fila;
		}
		
		$contResul = count($resultado);
		
		for($i=0; $i<=(int)$contResul;$i++){
			if(!empty($resultado[$i][0])){
				
				if(((int)$i)!=((int)$contResul)){
					$num = "{num : '".($i+1)."', ";
					$codigo = "codigo : '". $resultado[$i][0]."', ";
					$rut = "rut : '". $resultado[$i][1]."', ";
					$nombre = "nombre : '". $resultado[$i][3]." ". $resultado[$i][4]." ". $resultado[$i][2]."'},";
					
				}
				else if(((int)$i)>=((int)$contResul)) {
					$num = "{num : '".($i+1)."', ";
					$codigo = "codigo : '". $resultado[$i][0]."', ";
					$rut = "rut : '". $resultado[$i][1]."', ";
					$nombre = "nombre : '". $resultado[$i][3]." ". $resultado[$i][4]." ". $resultado[$i][2]."'}";
					
				} 
			} else {
					
					$num = "{num : '".($i+1)."', ";
					$codigo = "codigo : '". $resultado[$i][0]."', ";
					$rut = "rut : '". $resultado[$i][1]."', ";
					$nombre = "nombre : '". $resultado[$i][3]." ". $resultado[$i][4]." ". $resultado[$i][2]."'}";
					
					
				
				
			}
			$cadena =  $num.$codigo.$rut.$nombre;
			echo $cadena;
		}

	

	}
	 
//	 echo funcionariosCM(1)."<br>";
	
	
	
?>